# RUN PROJECT ON DEVELOMENT

## BACK

- On php MyAdmin, create a new database : group2_todo

- Go to /back
- Copy the .env.example to .env

- on .env file, update the database name :
  DB_DATABASE=group2_todo

- Launch composer install
- Launch npm install
- Launch php artisan migrate

- Launch php artisan key:generate
- Launch php artisan storage:link ( to allow the image folder to be public)

- Launch php artisan serve

## FRONT

- Go to /front
- Launch npm install
- Run npm run serve to launch on development mode

# RUN PROJECT ON PRODUCTION

## First time :

    - Clone project

    - On php MyAdmin, create a  new database : group2_todo

    - Go to /back
    - Copy the .env.example to .env
    - on  .env file, update the database name :
    	DB_DATABASE=group1_msc

    - Launch  composer install
    - Launch  npm install
    - Launch php artisan migrate
    - Launch  php artisan key:generate

    - Go to /front
    - Launch  npm install

## Other times :

    - git pull

    - Go to /front
    - Run npm run serve
    
